Bug 1121057 - answers.conf is replaced if configuration is not complete
Summary: answers.conf is replaced if configuration is not complete
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.4
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 3.5.1
Assignee: Yedidyah Bar David
QA Contact: meital avital
URL:
Whiteboard: integration
Depends On:
Blocks: oVirt_3.5.1_tracker 1192937
TreeView+ depends on / blocked
 
Reported: 2014-07-18 09:37 UTC by George Machitidze
Modified: 2015-02-16 09:35 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 16:03:22 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34379 None None None Never
Red Hat Bugzilla 1151366 None None None Never

Internal Links: 1151366

Description George Machitidze 2014-07-18 09:37:32 UTC
Description of problem:
When running ovirt-hsted-engine-setup on already provisioned host with running vms, answers.conf file is generated even in case configuration process is terminated by the user.

[root@ovirt1 ~]# ovirt-hosted-engine-setup
[ INFO  ] Stage: Initializing
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: no
[WARNING] Aborted
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/etc/ovirt-hosted-engine/answers.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[root@ovirt1 ~]#


Version-Release number of selected component (if applicable):
3.4.2, 3.4.3

How reproducible:
Always

Actual results:
/etc/ovirt-hosted-engine/answers.conf is generated and replaced 

Expected results:
file shouldn't be replaced until configuration is complete

Additional info:
[root@ovirt1 ~]# cat /etc/redhat-release
CentOS release 6.5 (Final)
[root@ovirt1 ~]# rpm -qa|grep ovirt|sort
ovirt-engine-cli-3.4.0.5-1.el6.noarch
ovirt-engine-sdk-python-3.4.3.0-1.el6.noarch
ovirt-host-deploy-1.2.2-1.el6.noarch
ovirt-hosted-engine-ha-1.1.5-1.el6.noarch
ovirt-hosted-engine-setup-1.1.5-1.el6.noarch
ovirt-iso-uploader-3.4.3-1.el6.noarch
ovirt-node-plugin-ipmi-3.0.4-1.0.el6.noarch
ovirt-node-plugin-snmp-3.0.4-1.0.el6.noarch
ovirt-release34-1.0.1-1.noarch

Comment 1 Sandro Bonazzola 2015-01-15 14:36:04 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 2 Sandro Bonazzola 2015-01-21 16:03:22 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.